Api Documentation

Apphooks

This endpoint can be used to manage Apphooks. Apphooks are used inside the app to trigger certain functionality, for example opening a webview on a specific time. A Apphook can have multiple triggers.
Json
XML
GET https://api.bundeling.com/V2/apphooks/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier used to identify a apphookstring

Includes

NameDescriptionEndpoint
apphook_triggersRetrieves a collection of triggers for the ApphookApphookTriggers

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "name": "Webview overlay on app start",
    "type": "Webview",
    "properties": "{\n\t\t\t\t'url': 'https://example.com/webview'\n\t\t\t}",
    "external_reference": "239847",
    "labels": [
        "d7743aaf53224e279853c7d0c1dbfb3a",
        "d7743aaf53224e279853c7d0c1dbfb3a"
    ],
    "creationdate": "2026-06-03T00:00:00+0200",
    "lastupdate": "2026-06-03T00:00:00+0200"
}